%global gem_name capybara

Name: rubygem-%{gem_name}
Version: 2.2.1
Release: 1.4%{?dist}
Summary: Simplify the process of integration testing Rack applications
Group: Development/Languages
License: MIT
URL: http://github.com/jnicklas/capybara
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems) 
Requires: rubygem(nokogiri) >= 1.3.3
Requires: rubygem(mime-types) >= 1.16
Requires: rubygem(rack) >= 1.0.0
Requires: rubygem(rack-test) >= 0.5.4
Requires: rubygem(xpath) => 2.0
Requires: rubygem(xpath) < 3
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby >= 1.9.3
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Capybara is an integration testing tool for rack based web applications. It
simulates how a user would interact with a website.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/




%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/History.md
%doc %{gem_instdir}/License.txt
%{gem_instdir}/spec

%changelog
* Sun May 11 2014 Oleg Girko <ol@infoserver.lv> - 2.2.1-1
- update to latest upstream release
* Sun Sep 22 2013 Oleg Girko <ol@infoserver.lv> - 2.1.0
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0
* Thu Jun  6 2013 Oleg Girko <ol@infoserver.lv> - 2.1.0-1
- update to latest upstream release
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
* Mon Feb 13 2012 Mo Morsi <mmorsi@redhat.com> - 1.1.2-1
- update to latest upstream release
- updated to ruby 1.9
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
* Thu Aug  4 2011 Chris Lalancette <clalance@redhat.com> - 1.0.0-2
- Fix the license field to meet the actual license
* Wed Aug  3 2011 Chris Lalancette <clalance@redhat.com> - 1.0.0-1
- Initial package
